/* To learn more about Typescript configuration file: https://www.typescriptlang.org/docs/handbook/tsconfig-json.html. */
/* To learn more about Angular compiler options: https://angular.dev/reference/configs/angular-compiler-options. */
{
  "compileOnSave": false,
  "compilerOptions": {
    "outDir": "./dist/out-tsc",
    "strict": true,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "skipLibCheck": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "moduleResolution": "bundler",
    "importHelpers": true,
    "target": "ES2022",
    "module": "ES2022",
    "baseUrl": "src",
    "paths": {
      "@shared-components/*": [
        "app/shared-components/*"
      ],
      "@services/*": [
        "app/services/*"
      ],
      "@header/*": [
        "app/pages/header/header/*"
      ],
      "@custom-types/*": [
        "app/types/*"
      ],
      "@pipes/*": [
        "app/pipes/*"
      ],
      "@pages/*": [
        "app/pages/*"
      ],
      "@api": [
        "api"
      ],
      "@api/*": [
        "api/*"
      ],
      "@environment": [
        "environments/environment"
      ]
    }
  },
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  }
}
